/*==================== GOOGLE FONTS ====================*/
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&family=DynaPuff:wght@400;500;600;700&family=Lobster&family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik+Distressed&display=swap');

/*==================== VARIABLES CSS ====================*/
:root {
  --header-height: 3rem;

  /*========== Colors ==========*/
  /* Change favorite color */
  --hue-color: 250; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

  /*========== Font and typography ==========*/
  --body-font: 'Poppins', sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --big-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== Margenes Bottom ==========*/
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: .25rem;
  --mb-0-5: .5rem;
  --mb-0-75: .75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
  :root {
   --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*========== Variables Dark theme ==========*/


/*========== Button Dark/Light ==========*/


/*==================== BASE ====================*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.section{
  padding: 2.5rem 0 4rem;
}

.section__title{
  font-size: var(--h1-font-size);
}
.section__subtitle{
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
  display: block;
}

/* .section__title span{
  color: var(--second-color);
} */

.section__title, 
.section__subtitle {
  text-align: center;
}

  
/*==================== LAYOUT ====================*/
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header{
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: var(--body-color);
  z-index: var(--z-fixed);
}

/*===============  NAV ===============*/
.nav{
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo{
  letter-spacing: 1px;
}

.nav__logo,
.nav__toggle{
  /* font-family: 'Pacifico', cursive; */
  font-size: 1.3rem;
  color: var(--text-color);
  font-weight: 700;
}

.nav__logo i {
  color: var(--first-color);
}

.nav__logo:hover{
  color: var(--first-color);
}

.nav__toggle{
  font-size: 1.3rem;
  cursor: pointer;
}

.nav__toggle:hover{
  color: var(--first-color);
}


@media screen and (max-width: 767px) {
  .nav__menu{
    position: fixed;
    width: 100%;
    left: 0;
    bottom: -100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: .4s ease-in-out;
  }

  .nav__list{
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
  }

  .nav__link{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
  }

  .nav__link:hover{
    color: var(--first-color);

  }

  .nav__link i{
    font-size: 1.2rem;
  }

  .nav__close{
    position: absolute;
    right: 1.3rem;
    bottom: 0.5rem;
    font-size: 1.3rem;
    cursor: pointer;
    color: var(--text-color);
  }

  .nav__close:hover{
    color: var(--first-color-alt);
  }

}

/* show menu */
.show-menu{
  bottom: 0;
  transition: .4s;
}

/* Active link */


/* Change background header */



/*=============== HOME ===============*/
.home_container{
  gap: 1rem;
}
.home__content{
  grid-template-columns: .5fr 3fr;
  padding-top: 2.5rem;
  align-items: center;
}

.home__social{
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
  margin-right: 2rem;
}

.home__section-icon{
  color: var(--first-color);
  font-size: 1.25rem;
  transition: .4s;
}

.home__section-icon:hover{
  color: var(--first-color-alt);
}
.home__blob{
  width: 200px;
  fill: var(--first-color);
}

.home__blob-img{
  width: 170px;
}

.home__data{
  grid-column: 1/3;
}

.home__title{
  font-size: var(--big-font-size);
}

.home__subtitle{
  font-size: var(--h2-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home__discription{
  margin-bottom: var(--mb-2);
}

.home__scroll{
  display: none;
}

.home__scroll-button{
  color: var(--first-color);
  transition: .3s;
}

.home__scroll-button:hover{
  transform: translateY(0.25rem);
}

.home__scroll-mouse{
  font-size: 2rem;
}

.home__scroll-name{
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home__scroll-arrow{
  font-size: 1.25rem;
}



/*==================== BUTTONS ====================*/
.button{
  font-weight: var(--font-medium);
  display: inline-flex;
  background-color: var(--first-color);
  align-items: center;
  letter-spacing: 1px;
  border-radius: .5rem;
  color: #fff;
  padding: 1rem;
  transition: .3s;
}

.button:hover{
  background-color: var(--first-color-alt);
}

.button__icon{
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: .3s;
}

.button--flex{
  display: inline-flex;
  align-items: center;
}

/*==================== ABOUT ====================*/
/* .fotter__blob{
  width: 100%;
  fill: var(--first-color);
} */

.border{
  border: 3.5px solid hsl(var(--hue-color), 69%, 61%);
  justify-self: center;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  display: grid;
  place-items: center;
}

.about__img-container{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: flex-end;
  background-image: linear-gradient(to top, rgba(195, 0, 255, 0),
                  rgba(112, 54, 134, 0.87));
  width: 130px;
  height: 130px;
  border-radius: 50%;
  overflow: hidden;
}



.about__img{
  width:115.45px;
  height: 140px;
}

.about__discription{
  text-align: center;
  margin-bottom: var(--mb-2-5);
}

.about__info{
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}

.about__info-title{
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color) ;
}

.about__info-name{
  font-size: var(--smaller-font-size);
}

.about__info-title,
.about__info-name{
  display: block;
  text-align: center;
}

.about__buttons{
  display: flex;
  justify-content: center;
}

/*==================== SKILLS ====================*/


/*==================== QUALIFICATION ====================*/


/*==================== SERVICES ====================*/


/* Active Modal */


/*==================== PORTFOLIO ====================*/


/*==================== PROJECT IN MIND ====================*/


/*==================== TESTIMONIAL ====================*/


/*==================== CONTACT ME ====================*/


/*==================== FOOTER ====================*/


/*========== SCROLL UP ==========*/


/* Show scroll */


/*========== SCROLL BAR ==========*/


/*==================== MEDIA QUERIES ====================*/
/* For small devices */


/* For medium devices */


/* For large devices */

const navMenu = document.getElementById('nav-menu')
      navToggle = document.getElementById('nav-toggle')
      navClose = document.getElementById('nav-close')

//menu show

